//go:generate go mod vendor
//go:generate protoc --go_out=plugins=grpc,paths=source_relative:. -I .:vendor/gitlab.mashroom.com/mashroom/backend mashroom_oauth.proto
//go:generate rm -r vendor
//go:generate mockgen -package=mockoauth -destination=mock/client.go . OAuthServiceClient
//go:generate go fmt ./...
//go:generate go fix ./...
//go:generate goimports -w ./
//go:generate go mod tidy

// Package oauth - api definition
package oauth // import "gitlab.mashroom.com/mashroom/backend/oauth/api"

import (
	// generic proto
	_ "gitlab.mashroom.com/mashroom/backend/common/api/generic"
	_ "gitlab.mashroom.com/mashroom/backend/common/api/protobuf"
)
