package model

import "github.com/dghubble/oauth1"

// TwitterRequestPair represents twitter request pair
type TwitterRequestPair struct {
	ID            string `bson:"_id"`
	RequestToken  string `bson:"request_token"`
	RequestSecret string `bson:"request_secret"`
}

// TwitterToken represents twitter oauth1 token
type TwitterToken struct {
	ID    string        `bson:"_id"`
	Token *oauth1.Token `bson:"token"`
}
